/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.PeriodoAcademico;

/**
 *
 * @author fcelestino
 */
public interface PeriodoAcademicoDAO {
    public ArrayList<PeriodoAcademico> listarPeriodoAcademico() throws Exception;
    public int registrarPeriodoAcademico(String nombre,String inicio,String termino) throws Exception;
    public void cambiarEstado(String dato,String codigo) throws Exception;
    public PeriodoAcademico armarEdicion(String codigo) throws Exception;
    public int actualizarPeriodoAcademico(String nombre,String inicio,String termino,String codigo) throws Exception;
    public PeriodoAcademico periodoActivo() throws Exception;
    public PeriodoAcademico mostrarPeriodo(String codigoEncuesta)throws Exception;//periodo encuesta
    public ArrayList<PeriodoAcademico> listarAnio()throws Exception;
    public PeriodoAcademico periodoActivoDocente() throws Exception;
}
